{varType Skadmin\LiveChat\Doctrine\LiveChatMessage\LiveChatMessage $message}

<div class="row" n:tag-if="$drawBox">
    <div class="col-12 mb-4" n:tag-if="$drawBox">
        <div class="card shadow" n:tag-if="$drawBox">
            <div class="card-body" n:tag-if="$drawBox">


                {snippet snipForm}
                    {form form class => 'ajax'}
                        <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                        <div class="row">
                            <div class="col-12 form-group">
                                {label content /}
                                <div class="form-group mb-0">
                                    {input content class => 'form-control js-ctrl-enter-submit'}
                                </div>
                            </div>

                            <div class="col-12 form-group">
                                {input send class => 'btn btn-outline-primary w-100 mb-2'}
                            </div>
                        </div>
                    {/form}
                {/snippet}

                {snippet snipChatMessages}
                    <div class="row" id="chat-message-new">
                        <div class="col-12 mb-3" n:foreach="$messages as $message" data-datetime="{$message->getCreatedAt()|date:'YmdHis'}">
                            <div class="row">
                                <div class="col-12 d-flex justify-content-between">
                                    <small class="text-{$message->isImportant() ? 'danger' : 'primary'} font-weight-bold">{$message->getName()}</small>
                                    <small class="text-muted">{$message->getCreatedAt()|date:'d.m.Y H:i'}</small>
                                </div>

                                <div class="col-12">
                                    {$message->getContent()|noescape|breaklines}
                                </div>
                            </div>
                        </div>
                    </div>
                {/snippet}

                <div class="row" id="chat-message" data-datetime="{date('YmdHis')}"></div>
            </div>
        </div>
    </div>
</div>

<script n:syntax="double">
    function moveChatMessage() {
        $('#chat-message').attr('data-datetime', $('#chat-message-new').find('[data-datetime]').attr('data-datetime'));

        var newMessages = $('#chat-message-new').html();
        $('#chat-message-new').html('');

        $('#chat-message').prepend(newMessages);

        setTimeout(function () {
            var data = {};
            data[{{$control->getParameterId('datetime')}}] = $('#chat-message').attr('data-datetime');

            $.nette.ajax({
                url: {{link loadNewMessage!}},
                off: ['unique'],
                data: data,
                success: function () {
                    setTimeout(function () {
                        moveChatMessage();
                    }, 200);
                }
            });
        }, 2500);
    }

    $(function () {
        moveChatMessage();
    });
</script>